Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005756 [JEDI VCL] 00 JVCL Components major always 2012-01-02 18:18 2012-09-10 14:15
Reporter stevegr View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005756: TJvDBGridXMLExport produce error XML files when grid column fieldnames contain spaces.
Description // $Id: JvDBGridExport.pas 13104 2011-09-07 06:50:43Z obones $
Upload the same file with the fix.
Follow { My code } hints inside.


Also,
  TJvDBGridXMLExport = class(TJvCustomDBGridTextExport)
  private
    FXML: TJvSimpleXML;
    ...
  public
    ...
    property XML: TJvSimpleXML read FXML write FXML;
    ...

need a public property so can change XML encoding, for example:
  JvDBGridXMLExport1.XML.Prolog.Encoding:='UTF-8';

Additional Information
Tags No tags attached.
Attached Files 7z file icon JvDBGridExport.7z [^] (7,776 bytes) 2012-01-02 18:19

- Relationships

-  Notes
(0019544)
obones (administrator)
2012-02-24 17:30

This is now in SVN

- Issue History
Date Modified Username Field Change
2012-01-02 18:18 stevegr New Issue
2012-01-02 18:19 stevegr File Added: JvDBGridExport.7z
2012-02-22 15:01 obones Status new => acknowledged
2012-02-24 17:30 obones Note Added: 0019544
2012-02-24 17:30 obones Status acknowledged => resolved
2012-02-24 17:30 obones Fixed in Version => Daily / SVN
2012-02-24 17:30 obones Resolution open => fixed
2012-02-24 17:30 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker